package examples;

import java.awt.image.BufferedImage;
import sema.World;
import sema.Area;
import sema.Element;



public class MoveToAgent extends MovingAgent2{
    
    public MoveToAgent(World world, Area area, float delay, java.awt.Image image, float x, float y, float radius) {
        super(world, area, delay, image, 2);
        (new MoveTo2(x,y,radius)).start();
    }
    
    class MoveTo2 extends MoveTo{
        public MoveTo2(float x, float y, float radius){
            super(x,y,radius);
        }
        
        public float step(){
            new Marque(world,new DefinitiveRectangularArea(world.map,getArea().getX(),getArea().getY(),.15f,.15f),new BufferedImage(1,1,1));
            return super.step();
        }
        
    }
    
}


